[arch-commits] Commit in (4 files)

Felix Yan felixonmars at archlinux.org
Thu Nov 30 08:00:57 UTC 2017


    Date: Thursday, November 30, 2017 @ 08:00:56
  Author: felixonmars
Revision: 270795

addpkg: python-sqlalchemy-migrate 0.11.0-1

Added:
  python-sqlalchemy-migrate/
  python-sqlalchemy-migrate/repos/
  python-sqlalchemy-migrate/trunk/
  python-sqlalchemy-migrate/trunk/PKGBUILD

----------+
 PKGBUILD |   60 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

Added: python-sqlalchemy-migrate/trunk/PKGBUILD
===================================================================
--- python-sqlalchemy-migrate/trunk/PKGBUILD	                        (rev 0)
+++ python-sqlalchemy-migrate/trunk/PKGBUILD	2017-11-30 08:00:56 UTC (rev 270795)
@@ -0,0 +1,60 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-sqlalchemy-migrate
+pkgname=(python-sqlalchemy-migrate python2-sqlalchemy-migrate)
+pkgver=0.11.0
+pkgrel=1
+pkgdesc="Database schema migration for SQLAlchemy"
+arch=('any')
+url="https://pypi.python.org/pypi/sqlalchemy-migrate/$pkgver"
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pbr' 'python2-pbr' 'python-sqlalchemy'
+             'python2-sqlalchemy' 'python-decorator' 'python2-decorator' 'python-sqlparse'
+             'python2-sqlparse' 'python-tempita' 'python2-tempita')
+checkdepends=('python-mock' 'python2-mock' 'python-testrepository' 'python2-testrepository'
+              'python-scripttest' 'python2-scripttest' 'python-ibm-db-sa' 'python2-ibm-db-sa'
+              'mysql-python' 'python2-psycopg2')
+options=('!emptydirs')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/openstack/sqlalchemy-migrate/archive/$pkgver.tar.gz")
+sha512sums=('07c18d2f197f2bda2caa41672f7e3e278397f3b30d3cf3297200df89a051e9e46147dc1c95e20398ed575e7f3c1dd4c56f9e525ab47a960344f51d276e70639f')
+
+prepare() {
+  cp -a sqlalchemy-migrate-$pkgver{,-py2}
+
+  export PBR_VERSION=$pkgver
+}
+
+build() {
+  cd "$srcdir"/sqlalchemy-migrate-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/sqlalchemy-migrate-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/sqlalchemy-migrate-$pkgver
+  python setup.py testr || warning "Tests failed"
+
+  cd "$srcdir"/sqlalchemy-migrate-$pkgver-py2
+  PYTHON=python2 python2 setup.py testr || warning "Tests failed"
+}
+
+package_python-sqlalchemy-migrate() {
+  depends=('python-six' 'python-pbr' 'python-sqlalchemy' 'python-decorator' 'python-sqlparse'
+           'python-tempita')
+
+  cd "$srcdir"/sqlalchemy-migrate-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-sqlalchemy-migrate() {
+  depends=('python2-six' 'python2-pbr' 'python2-sqlalchemy' 'python2-decorator' 'python2-sqlparse'
+           'python2-tempita')
+
+  cd "$srcdir"/sqlalchemy-migrate-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}
+
+# vim:set ts=2 sw=2 et:


Property changes on: python-sqlalchemy-migrate/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property


More information about the arch-commits mailing list